Package org.springframework.web.util.pattern

# Class PatternParseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.springframework.web.util.pattern.PatternParseException

All Implemented Interfaces:
  `Serializable`

public class PatternParseException extends IllegalArgumentException
Exception that is thrown when there is a problem with the pattern being parsed.

Since:
  5.0
Author:
  Andy Clement
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`PatternParseException.PatternMessage`
The messages that can be included in a `PatternParseException` when there is a parse failure.

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getInserts()`
`String`
`getMessage()`
Return a formatted message with inserts applied.
`PatternParseException.PatternMessage`
`getMessageType()`
`int`
`getPosition()`
`String`
`toDetailedString()`
Return a detailed message that includes the original pattern text with a pointer to the error position, as well as the error message.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getMessage

public String getMessage()
Return a formatted message with inserts applied.

Overrides:
  `getMessage` in class `Throwable`

### toDetailedString

public String toDetailedString()
Return a detailed message that includes the original pattern text with a pointer to the error position, as well as the error message.

### getPosition

public int getPosition()

### getMessageType

public PatternParseException.PatternMessage getMessageType()

### getInserts

public Object[] getInserts()